Uso de todas las palabras clave definidas por el usuario de excepción en un solo programa Java

En este artículo, vamos a utilizar todas las palabras clave de excepciones definidas por el usuario en un solo programa java .

Como sabemos que Java proporciona un mecanismo eficiente manejo de la excepción class pero aún así el usuario tiene la opción de definir su propio excepción en Java, utilizando bloques for prueba- o el uso de palabras clave catch. Lista de palabras clave diferentes excepciones definidas por el usuario proporcionadas en Java es la siguiente:

  1. Try
  2. throw
  3. Catch
  4. Throw
  5. Throws

Vamos a escribir un código Java simples que incluye todas estas palabras clave

import java.io.IOException;
import java.util.Scanner;
public class Main
{
static void ex(int a)
{
try
{
int c =50/0;
}
catch(ArithmeticException e)
{
System.out.println("dividing a number by zero cannot be defined");
}
finally
{
System.out.println("this statement will always be executed");
}
if(a>=18)
throw new ArithmeticException("The person is eligible to vote");
else
System.out.println("the person is not eligible to vote");
}
public static void main(String [] args) throws Exception
{
Scanner sc = new Scanner(System.in);
System.out.println("enter the age of a person to check for voting");
int c =sc.nextInt();
ex(c);
System.out.println("This is written inside main function");
}
}

salida

First run:
enter the age of a person to check for voting
12
dividing a number by zero cannot be defined
this statement will always be executed
the person is not eligible to vote
This is written inside main function
Second run:
enter the age of a person to check for voting
34
dividing a number by zero cannot be defined
this statement will always be executed
Exception in thread "main" java.lang.ArithmeticException: The person is eligible to vote
at Main.ex(Main.java:22)
at Main.main(Main.java:32)


Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *